QGIS Application - Bug report #8883
The svg path don't work on datadefined property - SVG file
2013-10-17 03:28 AM - aperi2007 -

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.0.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17562
Description

Hi,

Using the qgis 2.1 dev (32bit).

And try-ing to use the

data defined properties 32bit to choose the SVG file.

Seem that it capable to see the svg symbol,

only if | use the espression and add the full absolute path to where the svg file is available.

If I choose to describe a relative path it don't work.

It seem ignore
the "svg path" in qgis option.

This is not a good situation because add a dependence in the qgis project .
To the folder of the SVG.
Better solution should be to think to the expression as a relative path from one of the svg-path in the global settings of qgis.

Associated revisions

Revision 55727{75 - 2014-01-26 11:18 AM - Radim Blazek

Support SVG relative paths in SVG cache to enable relative data defined paths. Fixes #8883

History

#1 - 2014-01-26 02:19 AM - Radim Blazek
- Status changed from Open to Closed

Fixed in changeset commit:"55727f755afac80243433141d8ae74bf2b5734db".

#2 - 2014-01-26 02:56 AM - Radim Blazek

In commit:f4a7fcb | also added rendering of missing SVG symbol, currently question mark ('?'), in case an SVG file does not exist.
